> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List shares

> List the people, teams and organization this is shared with. Requires Write on it.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/sessions/{sessionId}/sharing
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/sessions/{sessionId}/sharing:
    get:
      tags:
        - Sessions
      summary: List shares
      description: >-
        List the people, teams and organization this is shared with. Requires
        Write on it.
      operationId: listSessionShares
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: >-
            Continuation cursor from the previous response nextCursor. Omit for
            the first page; null nextCursor means there are no more pages.
        - in: query
          name: limit
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
          description: >-
            Maximum number of items to return in one page. Use nextCursor from
            the response to fetch more items.
        - schema:
            type: string
          in: path
          name: sessionId
          required: true
      responses:
        '200':
          description: List shares
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        audience:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - user
                                - team
                                - organization
                            id:
                              type: string
                            name:
                              type:
                                - string
                                - 'null'
                          required:
                            - type
                            - id
                            - name
                          additionalProperties: false
                        createdAt:
                          type: string
                      required:
                        - id
                        - audience
                        - createdAt
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo();

            const share = await client.sessions.shares.list('sessionId', {
              limit: 50,
            });
        - lang: rust
          label: Rust SDK
          source: >
            use tembo_rs::*;


            let client = Tembo::from_env()?;


            let response =
            client.sessions().shares().list("example").send().await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.